<template>
  <el-form :inline="true" :size="size" class="search-form">
    <slot></slot>
    <el-form-item>
      <el-button type="primary" @click="submit">搜索</el-button>
    </el-form-item>
    <slot name="tail"></slot>
  </el-form>
</template>

<script>
export default {
  name: 'search-form',
  props: {
    size: {
      type: String,
      default: 'small',
    }
  },
  methods: {
    submit() {
      this.$emit('submit')
    },
    resetForm() {
      this.$refs.xform.resetFields()
    }
  },
}
</script>

<style lang="scss" scoped>
.search-form {

}
</style>

